import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import org.hibernate.Query;
import org.hibernate.Session;

public class Main {
  public static void main(String[] args) throws Exception {
    HibernateUtil hibernateUtil = new HibernateUtil();
    hibernateUtil
        .executeSQLCommand("create table survey (id int,name varchar, purchasedate date);");

    Session session = hibernateUtil.getSession();

    Survey survey = new Survey();
    survey.setName("Survey");
    survey.setPurchaseDate(new Date());

    session.save(survey);

    
    survey = new Survey();
    survey.setName("Survey1");
    survey.setPurchaseDate(new Date());    
    session.save(survey);
    
    session.flush();
    
    String hql = "from Survey where Id > 0";
    Query query = session.createQuery(hql);
    query.setMaxResults(1);
    Survey product = (Survey) query.uniqueResult();
    //test for null here if needed
    
    List results = new ArrayList();
    results.add(product);

    System.out.println(results);
    
    session.close();
    hibernateUtil.checkData("select * from survey");
  }
}
